/* FONT
================================================== */
@font-face {
  font-family: 'fontello';
  src: url('../fonts/fontello.eot?37927580');
  src: url('../fonts/fontello.eot?37927580#iefix') format('embedded-opentype'),
       url('../fonts/fontello.woff2?37927580') format('woff2'),
       url('../fonts/fontello.woff?37927580') format('woff'),
       url('../fonts/fontello.ttf?37927580') format('truetype'),
       url('../fonts/fontello.svg?37927580#fontello') format('svg');
  font-weight: normal;
  font-style: normal;
}
 
 [class^="icon-"]:before, [class*=" icon-"]:before {
  font-family: "fontello";
  font-style: normal;
  font-weight: normal;
  speak: none;
  display: inline-block;
  text-decoration: inherit;
  width: 1em;
  margin-right: .2em;
  text-align: center;
  font-variant: normal;
  text-transform: none;
  line-height: 1em;
  margin-left: .2em;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
 
.icon-twitter:before { content: '\f099'; } /* '' */
.icon-facebook:before { content: '\f09a'; } /* '' */
.icon-gplus:before { content: '\f0d5'; } /* '' */
.icon-linkedin:before { content: '\f0e1'; } /* '' */
.icon-linkedin:before { content: '\f0e1'; } /* '' */
.icon-up:before { content: '\f176'; } /* '' */

/* CUSTOM RESETS
================================================== */
a {
    transition: color 0.25s ease-in-out;
    -moz-transition: color 0.25s ease-in-out;
    -webkit-transition: color 0.25s ease-in-out;
    -o-transition: color 0.25s ease-in-out;
    -ms-transition: color 0.25s ease-in-out;
}

a:focus,
a:hover {
    outline: 0 none;
    text-decoration: none;
}

h4 {
    font-size: 30px;
}

/* Buttons */ 
.btn {
    min-width: 145px;
    line-height: 50px;
    padding: 0 30px;
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
    border-radius: 0;
    transition: box-shadow 0.25s ease-in-out;
    -moz-transition: box-shadow 0.25s ease-in-out;
    -webkit-transition: box-shadow 0.25s ease-in-out;
    -o-transition: box-shadow 0.25s ease-in-out;
    -ms-transition: box-shadow 0.25s ease-in-out;
}

.btn-fill {
    color: #fff;
    background-color: #212121;
}

.btn-border {
    background-color: transparent;
    color: #212121;
    border: 1px solid #212121; 
}

.btn-fill:hover,
.btn-fill:focus {
    color: #fff;
}

.btn:hover,
.btn:focus {
    box-shadow: 0px 10px 18px 0px rgba(0, 0, 0, 0.15);
}

/* Input fields */
.form-control {
    padding-left: 10px;
    border: 0;
    border-bottom: 1px solid #212121;
    border-radius: 0;
    background-color: transparent; 
    box-shadow: none;
    outline: 0 none transparent;
    -webkit-appearance:none;
 }

textarea {
    margin-top: 40px;
    min-height: 200px;
    resize: none;
}

.form-control:focus {
    box-shadow: none;
    border-bottom-color: #e1e1e1;
}

::-moz-placeholder,
::-webkit-input-placeholder {
    font-size: 16px;
}

/* LAYOUT
================================================== */
html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    color: #212121;
}

.img-res {
    display: block;
    width: 100vw;
    height: 100vh;
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
}

.visible-xxs {
    display: none;
}

/* Background-color */
.gray-bg {
    background-color: #e1e1e1;
}

/* HEADER
================================================== */
.site-header {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: transparent;
    z-index: 5;
}

.site-logo img {
    padding-bottom: 2px;
}

/* Navigation */
.navbar-nav > li > a {
    padding: 5px 0;
    font-weight: 600;
    color: #212121;
    text-transform: uppercase;
    border-bottom: 2px solid transparent;
    transition: border-color 0.25s ease-in-out;
    -moz-transition: border-color 0.25s ease-in-out;
    -webkit-transition: border-color 0.25s ease-in-out;
    -o-transition: border-color 0.25s ease-in-out;
    -ms-transition: border-color 0.25s ease-in-out;
}

.navbar-nav.navbar-right {
    margin-right: 0;
}

.navbar-nav > li + li > a {
    margin-left: 40px;
}

.navbar-nav > li > a:hover,
.navbar-nav > li.active > a,
.nav > li > a:hover,
.nav > li.active > a {
    background-color: transparent;
    border-bottom: 2px solid #212121;
}

.nav > li > a:focus {
    background-color: transparent;
}

/* HERO
================================================== */
.hero { 
    background: url(../img/hero.jpg) no-repeat center / cover; 
    height: 100%;
    width: 100%;
    min-height: 700px;
}

.hero .container {
    position: relative;
    height: 100%;
}

.hero .col-md-6:first-child {
    position: absolute;
    top: 45%;
    left: 0;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    z-index: 2;
}

.hero h1 {
    font-size: 46px;
    font-weight: 700;
    margin: 0 0 15px;
    text-transform: uppercase;
}

.job-title {
    font-size: 22px;
    margin-bottom: 30px;
    line-height: 1;
} 

.hero img {
    height: 600px;
}

/* SITEMAIN
================================================== */
.site-main {
    position: relative;
    margin-bottom: 100px;
    background-color: #fff;
    z-index: 1;
}
/* site-section */
.site-section {
   padding-top: 120px;
}

.site-section h2,
.site-section h3 {
    font-size: 36px;
    margin: 0;
    text-transform: uppercase;
}

.img-lines {
    margin: 15px 0 40px;
}

.site-section p {
    margin-bottom: 35px;
}

/* Section: Skills */
.section-skills {
    padding-bottom: 120px;
}

.skill + .skill {
    margin-top: 50px;
}

.skill h4 {
    font-size: 24px;
    text-transform: uppercase;
    margin: 0 0 15px;
}

.progress {
    height: 15px;
    margin-bottom: 0;
    border-radius: 0;
    background-color: #dfdfdf;
    box-shadow: none;
}

.progress-bar {
    background-color: #212121;  
}

/* Section: Services */
.section-services {
    position: relative;
    padding-top: 220px;
}

.section-services:before {
    content: '';
    background: url(../img/services-bg.jpg) no-repeat fixed center / cover;
    width: 100%;
    height: 400px; 
    position: absolute;
    left: 0;
    top: 0;
}

.overlay:after {
    content: '';
    width: 100%;
    height: 400px; 
    position: absolute;
    background-color: rgba(255,255,255,0.5);
    top: 0;
    left: 0;
    z-index: 0;
}

.section-services .container {
    padding: 120px 100px;
    position: relative;
    background-color: #fff;
    box-shadow: 0px 0px 40px 8px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.service h4 {
    margin: 25px 0;
    font-size: 24px;
    font-weight: 700;
}

.service p {
    color: #000;
    margin-bottom: 0;
}

/* Section: Portfolio */
.section-portfolio {
    padding-bottom: 120px;
}

.portfolio-item {
    height: 280px;
    margin-bottom: 30px;
    position: relative;
}

.section-portfolio .col-md-4:nth-last-child(-n+3) .portfolio-item {
    margin-bottom: 0;
}

.portfolio-item:before {
    content: '';
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    transition: background-color 0.25s ease-in-out;
    -moz-transition: background-color 0.25s ease-in-out;
    -webkit-transition: background-color 0.25s ease-in-out;
    -o-transition: background-color 0.25s ease-in-out;
    -ms-transition: background-color 0.25s ease-in-out;
}

.portfolio-item:hover:before{
    background-color: rgba(33,33,33,0.6);
}

.portfolio-item-info {
    position: absolute;
    top: 150px;
    left: 0px;
    z-index: 999;
    opacity: 0;
    transition: opacity 0.25s ease-in-out, left 0.25s ease-in-out;
    -moz-transition: opacity 0.25s ease-in-out, left 0.25s ease-in-out;
    -webkit-transition: opacity 0.25s ease-in-out, left 0.25s ease-in-out;
    -o-transition: opacity 0.25s ease-in-out, left 0.25s ease-in-out;
    -ms-transition: opacity 0.25s ease-in-out, left 0.25s ease-in-out;
}

.portfolio-item:hover .portfolio-item-info {
    left: 50px;
    opacity: 1;
}

.portfolio-item-info h4 {
    margin: 0 0 20px;
    font-weight: 700;
    color: #fff;
}

.portfolio-item-info a {
    padding: 6px 7px 4px;
    font-size: 12px;
    border: 1px solid #fff;
    border-radius: 50px;
    color: #fff;
    transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
    -moz-transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
    -webkit-transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
    -o-transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
    -ms-transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
}

.portfolio-item-info a:hover {
    color: #212121;
    background-color: #fff;
}

.section-portfolio .btn {
    margin-top: 10px;
}

/* Modal */
.modal {
    z-index: 9999;
}

.modal-content {
    border-radius: 0;
    box-shadow: 0px 0px 40px 8px rgba(0, 0, 0, 0.2);
}

.modal-header {
    position: relative;
    padding: 0;
    height: 500px;
}

.modal-header .close {
    position: absolute;
    right: 0;
    padding: 10px 11px;
    margin-top: 0;
    background-color: #fff;
    font-size: 16px;
    color: #212121;
    border-left: 1px solid #212121;
    border-bottom: 1px solid #212121;
    opacity: 1;
    transition: box-shadow 0.25s ease-in-out;
    -moz-transition: box-shadow 0.25s ease-in-out;
    -webkit-transition: box-shadow 0.25s ease-in-out;
    -o-transition: box-shadow 0.25s ease-in-out;
    -ms-transition: box-shadow 0.25s ease-in-out;
}

.modal-header .close:hover {
    box-shadow: 0px 10px 18px 0px rgba(0, 0, 0, 0.2);
}

.modal-body h4 {
    font-weight: 700;
}

.modal-footer {
    text-align: center;
}

/* Section: Counters */
.section-counters {
    background: url(../img/counters-bg.jpg) no-repeat fixed center / cover;
    width: 100%;
    padding: 100px 0;
    position: relative;
}

.section-counters:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
}

.section-counters h4 {
    color: #fff;
    margin: 25px 0 0;
}

.site-section p.counter {
    font-size: 100px;
    font-weight: 300;
    color: #fff;
    margin: 0;
    line-height: 0.8;
}

/* Section: Form*/
.section-form {
    padding-bottom: 120px;
}

.section-form .btn {
    margin-top: 40px;
}

/* FOOTER
================================================== */
.site-footer {
    position: fixed;
    bottom: 0;
    padding: 30px 0;
    width: 100%;
    background-color: #212121;
    z-index: -1;
}

.icon {
    line-height: 40px;
    padding: 9px 11px;
    color: #fff;
    border: 1px solid #fff;
    border-radius: 50%;
}

.icon + .icon {
    margin-left: 5px;
}

.icon i:before {
    margin:0;
}

.icon:hover {
    background-color: #fff;
}

.site-footer a {
    transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
    -moz-transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
    -webkit-transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
    -o-transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
    -ms-transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out;
}

a.twitter-bg:hover {color: #55acee;}
a.facebook-bg:hover{color: #3b5998;}
a.gplus-bg:hover{color: #007bb5;} 
a.linkedin-bg:hover {color: #dd4b39;}
a.icon-up-bg:hover {color: #212121;}

.copyright {
    margin-bottom: 0;
    line-height: 40px;
    color: #fff;
    text-align: center;
}